Qt4: Warn about Qt version 4.5.0
authorJean-Baptiste Kempf <jb@videolan.org>
Fri, 1 May 2009 14:16:00 +0000 (16:16 +0200)
committerJean-Baptiste Kempf <jb@videolan.org>
Fri, 1 May 2009 14:46:32 +0000 (16:46 +0200)
This version is quite broken...

modules/gui/qt4/menus.cpp
modules/gui/qt4/qt4.hpp

index 04ba848..948fcee 100644 (file)
@@ -1408,14 +1408,7 @@ void QVLCMenu::updateRecents( intf_thread_t *p_intf )
         RecentsMRL* rmrl = RecentsMRL::getInstance( p_intf );
         QList<QString> l = rmrl->recents();
 
-#if QT_VERSION == 0x040500
-        //Workaround for Qt bug #176201
-        QList<QAction*> actions = recentsMenu->actions();
-        for(int i = 0; i < actions.size(); ++i)
-            actions.at(i)->deleteLater();
-#else
         recentsMenu->clear();
-#endif
 
         if( !l.size() )
         {
index b764a9c..941632a 100644 (file)
@@ -39,6 +39,9 @@
 #if ( QT_VERSION < 0x040300 )
 # error Update your Qt version
 #endif
+#if QT_VERSION == 0x040500
+# warning Please update Qt version to 4.5.1. This warning will become an error.
+#endif
 
 enum {
     QT_NORMAL_MODE = 0,